package com.example.switchyard.Wiretap_Pools1;

import org.apache.camel.builder.RouteBuilder;

public class CamelServiceRoute extends RouteBuilder {

	public void configure() {
		from("switchyard://FileReverser").log(
				"Received message for 'FileReverser' : ${body}")
		.wireTap("direct:InboundWireTap")
		.executorService(CustomThreadPoolBuilder.getCustomThreadPool(this, "I048"))
		.end()
		.log("#### ${headers.routeId} :: ${headers.CamelFileName} picked for processing ####");
		
		from("direct:InboundWireTap").log("InboundWireTap got msg");
	}

}
