package com.example.switchyard.Wiretap_Pools1;

import java.util.concurrent.ExecutorService;

import org.apache.camel.ThreadPoolRejectedPolicy;
import org.apache.camel.builder.RouteBuilder;
import org.apache.camel.spi.ThreadPoolProfile;

public class CustomThreadPoolBuilder {

	public static ExecutorService getCustomThreadPool(RouteBuilder routebuilder, String threadpoolname){

		ThreadPoolProfile profile = new ThreadPoolProfile();
		profile.setPoolSize(50);
		profile.setMaxPoolSize(500);
		profile.setKeepAliveTime(1L);
		profile.setMaxQueueSize(1000);
		profile.setRejectedPolicy(ThreadPoolRejectedPolicy.Abort);
		
		System.out.println("### About to make custom thread pool! ###");
	
	return routebuilder.getContext().getExecutorServiceManager().newThreadPool(routebuilder, threadpoolname, profile);
}	

}
